if ACCELERATOR == "XFEL" :
  
  #if STATION != "VS" :
  #  RPC_NUMBER = 610493149
  #else: 
  RPC_NUMBER = 610493148
  SECTION_NAME = ""  
  #if STATION in map(str,range(2,27)):
  if STATION == "2" :
    SECTION_NAME="L1"
  elif STATION in map(str,range(3,6)):
    SECTION_NAME="L2"
  elif STATION in map(str,range(6,27)):
    SECTION_NAME="L3"

  NR_OF_MODULES=4
  NR_OF_CAVITIES=8
  
  CRATE_NAME="A"+STATION+MASTER_OR_SLAVE
  #HOSTNAME="xfelcpull"+CRATE_NAME.lower()
  STATION_LOCATION_SUFFIX="A"+STATION
  if STATION != "0":
    STATION_LOCATION_SUFFIX=STATION_LOCATION_SUFFIX+"."+SECTION_NAME
  SVR_LOCATION=HOSTNAME.upper()+"._SVR"
  TIMING_SDM="XFEL.RF/TIMER/LL"+CRATE_NAME
  #WATCHDOG_ADDRESS=ACCELERATOR+".SYSTEM/"+HOSTNAME.upper()+".WATCH/SVR.LLRF_DIAGNOSTIC"

  CRYOMODULES=[1,2,3,4]
  #As per Jan Timm only master controller is used.
  CONTROLLER="M12."

  
  def MODULE_LOCATION_SUFFIX(CRYOMODULE):
    return "M"+str(CRYOMODULE)+"."+str(STATION_LOCATION_SUFFIX)
